html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,AR override
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

* {
  box-sizing: border-box;
}

*:before,
*:after {
  box-sizing: border-box;
}

.visually-hidden {
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
  white-space: nowrap;
}

.hidden {
  display: none !important;
}

textarea,
input,
button,
select {
  font-family: inherit;
  font-size: inherit;
  text-align: inherit;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
}

input,
textarea,
input::placeholder,
textarea::placeholder {
  background: inherit;
  color: inherit;
  border: none;
  padding: 0;
  outline: inherit;
  opacity: 1;
}

textarea {
  resize: none;
}

input:not([type="submit"]),
textarea {
  display: block;
  width: 100%;
  border-radius: 0;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  -webkit-appearance: none;
}

input[type="number"] {
  -moz-appearance: textfield;
}

select {
  background: none;
  width: 100%;
  cursor: pointer;
  border: none;
  outline: none;
  border-radius: 0;
  color: var(--fg);
  margin: 0;
  padding: 0;
}

select option {
  color: var(--fg);
  margin: 0;
  padding: 0;
  background: var(--bg);
}

select:focus {
  outline: none;
}

ul,
li {
  text-decoration: none;
  list-style: none;
}

/* Input Elements */
button,
input[type="submit"],
input[type="reset"],
div[role="button"] {
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
  outline: inherit;
  -webkit-appearance: none;
  border-radius: 0;
}

input[type="button"],
input[type="button"]:focus {
  outline: none;
}

a:link,
a:visited,
a:link span,
a:visited span {
  color: inherit;
  cursor: pointer;
  text-decoration: none;
}

form h3:first-child {
  margin-bottom: var(--Pg);
}

form h3:not(:first-child) {
  margin-top: var(--Pg);
  margin-bottom: var(--Pg);
}

fieldset {
  margin-top: calc(var(--Pg) / 2);
  margin-bottom: calc(var(--Pg) / 2);
}

input {
  color: rgba(var(--white-rgb), 0.6);
  border-bottom: 1px solid rgba(var(--white-rgb), 0.2);
  padding-bottom: calc(var(--Pg) / 4);
}

select {
  color: rgba(var(--white-rgb), 0.6);
  border-bottom: 1px solid rgba(var(--white-rgb), 0.2);
  padding-bottom: calc(var(--Pg) / 4);
  background-position: right 0px bottom 13.5px;
  background-image: url("./svg/arrow-grey.svg");
  background-repeat: no-repeat;
}

.submit-btn {
  margin-top: var(--Pg);
}

.loading-message {
  display: none;
}
.loading-message::after {
  content: '';
  animation: dots 1.5s steps(4, end) infinite;
}

@keyframes dots {
  0% {content: ''; }
  25% {content: '.'; }
  50% {content: '..'; }
  75% {content: '...'; }
}


.success-message {
  display: none;
}
.error-message {
  display: none;
}

@font-face {
  font-family: "SuisseIntl-Regular";
  src: url("./fonts/SuisseIntl-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Root Elements */
:root {
  --Fb: 1rem;
  --white-rgb: 255, 255, 255;
  --black-rgb: 0, 0, 0;
  --white: rgb(var(--white-rgb));
  --black: rgb(var(--black-rgb));
  --purple: #4c2f92;
  --fg: var(--white);
  --bg: var(--black);
  /* Padding */
  /* Small element padding */
  --Pg: 32px;
  --Ps: 40px;
  /* Large section padding */
  --Pm: 56px;
  --Pl2: 80px;

  --Pxl: 196px;
  --Pxxl: 256px;
  /* Header Height */
  --Hh: var(--Pg);
  /* Screen Height */
  --Hs: calc(100vh - var(--Hh));
  /* Font */
  --fxl: 64px;
  --fl: 28px;
  --fm: 20px;
  --fs: 14px;
  --fp: 12px;
  --size: var(--fs);
}

html {
  color: var(--fg);
  background-color: var(--bg);
  font-size: var(--size);
  font-weight: 400;
  font-style: normal;
  font-family: "SuisseIntl-Regular", sans-serif;
  line-height: 20px;
  letter-spacing: 0;
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow-y: scroll;
  overflow-x: hidden;
  height: auto;
}

h1 {
  font-size: var(--fxl);
  line-height: 64px;
  overflow-wrap: break-word;
}

h2 {
  font-size: var(--fl);
  line-height: 34px;
}

section[data-type="textblock"] > div > h2:only-child {
  margin-top: 0px;
  margin-bottom: 0px;
}

section[data-type="textblock"] > div > h2:last-child {
  margin-top: 0px;
  margin-bottom: 0px;
}

section[data-type="textblock"] ul,
section[data-type="textblock"] ul > li {
  list-style-type: disc;
}

section[data-type="textblock"] ol,
section[data-type="textblock"] ol > li {
  list-style-type: decimal;
}

h3 {
  font-size: var(--fm);
  line-height: 28px;
}
p {
  font-size: var(--fs);
  line-height: 20px;
}

p:only-child {
  margin-top: 0px;
  margin-bottom: 0px;
}

p:last-child {
  margin-top: 0px;
  margin-bottom: 0px;
}

p.grey {
  font-size: var(--fs);
  line-height: 20px;
  color: rgba(var(--white-rgb), 0.6);
}

body.no-scroll {
  height: 100vh;
  overflow: hidden;
}

main {
  padding-top: 196px;
  min-height: var(--Hs);
  margin-left: var(--Pg);
  margin-right: var(--Pg);
}

/* body[data-template="home"] main {
  margin-top: 100vh;
} */

.visaully-hidden {
  visibility: hidden;
  position: absolute;
  z-index: -10;
  display: none;
}

/* Header - Home */
/* body[data-template="home"] header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: 100vh;
} */

header {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10;
  pointer-events: none;
}

/* body[data-template="home"] .logo-header {
  max-width: calc(100% - calc(var(--Pg) * 2));
  height: auto;
  margin: var(--Pg);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 13;
  pointer-events: all;
} */

body .logo-header {
  width: 86px;
  height: auto;
  max-width: calc(100% - calc(var(--Pg) * 2));
  margin: var(--Pg);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 13;
  pointer-events: all;
}

nav {
  margin: var(--Pg);
  position: absolute;
  top: 0;
  right: 0;
  pointer-events: all;
}

nav > div {
  display: flex;
  flex-direction: row;
  gap: var(--Pg);
}

.hamburger {
  display: none;
}

.logo-header > .aspectholder > svg > path {
  fill: var(--fg);
  stroke: var(--fg);
}

.logo-header > .aspectholder > svg {
  height: auto;
  width: 100% !important;
  max-width: 100% !important;
}

a:hover:not([data-type*="project-cardblock"] a):not(a.grey):not(a.logo-header) {
  opacity: 40%;
  transition: opacity 300ms ease-out;
}

/* Project Page - Anchor Nav */
.anchor-section {
  position: fixed;
  top: 90vh;
  display: flex;
  /* align-items: center; */
  justify-content: center;
  width: 100vw;
  height: 52px;
  z-index: 1000;
}

.anchor-container {
  overflow: auto;
  overflow-y: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none;
  opacity: 0;
  z-index: 1000;
  width: max-content;
  max-width: 80vw;
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-evenly;
  align-items: center;
  gap: var(--Pg);
  height: 52px;
  border-radius: 1000px;
  padding-left: var(--Pg);
  padding-right: var(--Pg);
  padding-top: calc(var(--Pg) / 2);
  padding-bottom: calc(var(--Pg) / 2);
  background-color: rgba(var(--black-rgb), 0.8);
}

.anchor-container::-webkit-scrollbar {
  display: none;
}

.anchor-container > * {
  cursor: pointer;
  white-space: nowrap;
}

.anchor-container > a.grey {
  color: rgba(var(--white-rgb), 0.6);
}

.anchor-container.project > a:first-child {
  color: rgba(var(--white-rgb), 0.6);
}

/* Contact Page - Form */
.sticky-container {
  grid-column: 1/10;
  position: sticky;
  top: 172px;
  height: 300px;
}

/* Custom Cursor */

#custom-cursor {
  --size: 0px;
  position: fixed;
  top: calc(var(--size) / -2.3);
  left: calc(var(--size) / -2.5);
  width: var(--size);
  height: var(--size);
  border-radius: 50%;
  background: linear-gradient(180deg, var(--black) 50%, var(--purple) 50%);
  pointer-events: none;
  transition: top 0.25s ease-out, left 0.25s ease-out, width 0.25s ease-out,
    height 0.25s ease-out;
  z-index: 2;
  overflow: hidden;
}

.enter {
  opacity: 0;
  transform: translateY(0);
  transition: opacity 1s ease 0.2s, transform 1s ease 0.2s;
}

.enter.entered {
  transform: translateY(0);
  opacity: 1;
}

/* Details Elements */
summary,
summary:focus {
  outline: none;
  list-style-type: none;
  position: relative;
  cursor: pointer;
  transition: all 0.3s;
}

details summary::marker,
details summary::-webkit-details-marker {
  content: "";
  visibility: hidden;
  position: absolute;
  z-index: -10;
  list-style-type: none;
  display: none;
}

.summary-content {
  width: 100%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

.summary-subheading {
  opacity: 0.6;
}

.summary-arrow {
  margin-left: 6px;
  margin-right: 6px;
  margin-top: 8px;
  margin-bottom: 8px;
  width: 8px;
  height: 4px;
  background-image: url("./svg/arrow.svg");
  background-repeat: no-repeat;
}

.left-arrow {
  margin-left: 6px;
  margin-right: 6px;
  margin-top: 4.5px;
  margin-bottom: 4.5px;
  width: 9px;
  height: 15px;
  background-image: url("./svg/left-arrow.svg");
  background-repeat: no-repeat;
}

.right-arrow {
  margin-left: 6px;
  margin-right: 6px;
  margin-top: 4.5px;
  margin-bottom: 4.5px;
  width: 9px;
  height: 15px;
  background-image: url("./svg/right-arrow.svg");
  background-repeat: no-repeat;
}

@media (hover: hover) and (pointer: fine) {
  details summary:hover {
    opacity: 0.5;
  }
}

details[open] summary ~ * {
  animation: appear 0.4s ease-in;
  -webkit-animation: appear 0.4s ease-in;
}

details.closing summary ~ * {
  animation: close 0.4s ease-out;
}

@keyframes appear {
  0% {
    opacity: 0;
    max-height: 0;
  }
  100% {
    opacity: 1;
    max-height: calc(var(--vh, 1vh) * 100);
  }
}
@keyframes close {
  0% {
    opacity: 1;
    max-height: calc(var(--vh, 1vh) * 100);
  }
  100% {
    opacity: 0;
    max-height: 0;
  }
}

@keyframes slide {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

/* Image/Video Elements */
.aspectholder > * {
  display: block;
}

.vsc-controller {
  height: 0 !important;
  width: 0 !important;
  object-fit: unset !important;
}

.grid-32 {
  display: grid;
  grid-template-columns: repeat(32, 1fr);
  column-gap: calc(var(--Pg) / 2);
  width: 100%;
}

.grid-col-1 {
  grid-column: 1/3;
}

.grid-col-1-ext {
  grid-column: 1/10;
}

.grid-col-6 {
  grid-column: 6/12;
}

.grid-col-17-ext {
  grid-column: 17/32;
}

.grid-col-21 {
  grid-column: 21/-1;
}

.grid-col-21-27 {
  grid-column: 21/27;
}

.grid-col-27 {
  grid-column: 27/-1;
}

.grid-col-29 {
  grid-column: 29/-1;
  justify-self: end;
}

svg path,
svg polygon,
svg polyline,
svg rect {
  stroke: var(--fg);
}

.video-controls-holder svg path {
  stroke: none !important;
}

div.video-controls-holder {
  position: absolute;
  bottom: 0;
}

.video-controls {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 16px;
  position: absolute;
  bottom: 0px;
  gap: 16px;
  color: var(--off-white);
}
.video-controls.do-not-show {
  opacity: 0;
  pointer-events: none;
}

.video-controls button {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.video-controls svg {
  height: 12px;
  width: 12px;
}

.video-controls button span {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* play button */

.video-controls .play-btn * {
  pointer-events: none;
}
.video-controls .play-btn .pause {
  display: none;
}
.video-controls .play-btn.playing .pause {
  display: flex;
}
.video-controls .play-btn.playing .play {
  display: none;
}
/* volume */

.video-controls .volume * {
  pointer-events: none;
}
.video-controls .volume .mute {
  display: none;
}
.video-controls .volume.muted .mute {
  display: flex;
}
.video-controls .volume.muted .unmute {
  display: none;
}

/* progress */
.video-progress {
  position: relative;
}
.video-controls .video-progress .seek-tooltip {
  display: none;
}
.progress {
  flex: 1 1 auto;
  cursor: pointer;
  min-width: 100px;
  display: flex;
}
.video-controls progress {
  width: 100%;
  height: 2px;
  position: relative;
  border-radius: 5px;
}

.progress-bar {
  background-color: rgba(248, 248, 248, 0.7);
}
.video-controls progress::-webkit-progress-value {
  background-color: rgba(248, 248, 248, 0.7);
  border-radius: 5px;
}

.time {
  display: flex;
  flex: 0 0 auto;
  white-space: nowrap;
  font-size: 12px;
}
.time-slash {
  padding-left: 2px;
  padding-right: 2px;
}

/* full screen button */

.full-btn {
  display: inline !important;
}

.full-btn-mobile {
  display: none !important;
}

.close-btn {
  position: absolute;
  padding: 16px;
  top: 0;
  right: 0;
  z-index: 50;
}

/* Splash Screen */

.splash-section {
  display: none;
  height: 100vh;
  opacity: 0;
  flex-direction: column;
  justify-content: end;
  padding-left: var(--Pg);
  padding-right: var(--Pg);
  padding-bottom: var(--Pg);
}

.splash-section video {
  object-fit: cover;
  width: 100%;
}

.desktop-video {
  display: block;
}

.mobile-video {
  display: none;
}

/* Blocks */

.headline {
  padding-bottom: 196px;
}

/* Text Block */

body[data-template="project"] section[data-type="textblock"] {
  margin-top: var(--Pl2);
  margin-bottom: var(--Pl2);
}

ul.pills {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  justify-content: flex-start;
}

ul.pills > li > p {
  font-size: var(--fp);
  line-height: 1;
  color: white;
  white-space: nowrap;
  margin: 0;
}

ul.pills > li {
  list-style: none;
  margin: 0;
  background-color: rgba(var(--white-rgb), 0.2);
  height: 24px;
  width: auto;
  border-radius: 16px;
  padding: 4px 16px;
  line-height: 1;
  display: flex;
  align-items: center;
}

ul.stats > li {
  border-bottom: 1px solid rgba(var(--white-rgb), 0.2);
  padding-bottom: calc(var(--Pg) / 2);
  display: flex;
  align-items: end;
  gap: calc(var(--Pg) / 2);
  /* text-wrap: nowrap; */
}
ul.stats > li > h2 {
  line-height: 30px;
}

section[data-type="textblock"][data-line="true"] {
  border-top: 1px solid rgba(var(--white-rgb), 0.2);
  padding-top: calc(var(--Pg) / 2);
}

/* CTA Block */
div.cta {
  justify-self: center;
  text-align: center;
}
a.cta {
  color: rgba(var(--white-rgb), 0.6);
}

/* Footer Snippet */

footer {
  padding-top: var(--Pg);
  padding-bottom: var(--Pg);
  padding-left: var(--Pg);
  padding-right: var(--Pg);
}

.footer-details {
  margin-top: var(--Pg);
  margin-bottom: var(--Pxl);
}

.contacts {
  grid-column: 1/10;
  display: flex;
  flex-direction: row;
  gap: 32px;
}

body[data-template="contact"] footer .contacts {
  display: none;
}

.socials-container {
  grid-column: 24/-1;
  display: flex;
  flex-direction: column;
  gap: var(--Pg);
  align-items: end;
}

.socials {
  display: flex;
  flex-direction: row;
  gap: var(--Pg);
  flex-wrap: nowrap;
}

.socials > * {
  white-space: nowrap;
}

.logo-footer {
  height: fit-content;
  width: 100%;
}

.logo-footer > .logo-footer-video figure:first-of-type {
  display: block;
}

.logo-footer > .logo-footer-video figure:nth-of-type(2) {
  display: none;
}

.logo-footer .aspectholder > svg,
.logo-footer .aspectholder > video,
.logo-footer .aspectholder > img {
  display: block;
  width: 100%;
  height: fit-content;
}

/* Media Block */

section[data-medianumber="Two"],
section[data-medianumber="One"] {
  display: grid;
  grid-template-columns: repeat(32, 1fr);
  width: 100%;
  column-gap: calc(var(--Pg) / 2);
}

/* One Image */

section[data-medianumber="One"][data-type="mediablock"] {
  margin-top: var(--Pl2);
  margin-bottom: var(--Pl2);
}

section[data-medianumber="One"] > figure > * {
  width: 100%;
  height: 100%;
  border-radius: 12px;
  object-fit: cover;
  aspect-ratio: 1376/700;
}

section[data-medianumber="One"] > figure,
section[data-medianumber="Two"] > figure {
  grid-column: 1/-1;
  position: relative;
}

section[data-medianumber="One"] > [data-fullscreen="true"] > video,
section[data-medianumber="Two"] > [data-fullscreen="true"] > video {
  object-fit: contain !important;
}

/* Two Squares */

section[data-medianumber="Two"][data-type="mediablock"] {
  gap: calc(var(--Pg) / 2);
  margin-top: var(--Pl2);
  margin-bottom: var(--Pl2);
}

section[data-medianumber="Two"][data-medialayout="Two Squares"]
  > figure:nth-child(1) {
  grid-column: 1/17;
}
section[data-medianumber="Two"][data-medialayout="Two Squares"]
  > figure:nth-child(2) {
  grid-column: 17/-1;
}

section[data-medianumber="Two"][data-medialayout="Two Squares"] > figure > * {
  width: 100%;
  aspect-ratio: 680/508;
  border-radius: 12px;
  object-fit: cover;
}

/* Two Portraits */

/* Align Left */
section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="false"]
  > div#two-portrait-heading {
  grid-column: -1;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="false"]
  > figure:first-of-type {
  grid-column: 1/9;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="false"]
  > div#two-portrait-info-one {
  grid-column: 1/9;
  grid-row: 2;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="false"]
  > figure:nth-of-type(2) {
  grid-column: 9/17;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="false"]
  > div#two-portrait-info-two {
  grid-column: 9/17;
  grid-row: 2;
}

/* Align Right */

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="true"]
  > div#two-portrait-heading {
  grid-column: 1/4;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="true"]
  > figure:first-of-type {
  grid-column: 17/25;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="true"]
  > div#two-portrait-info-one {
  grid-column: 17/25;
  grid-row: 2;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="true"]
  > figure:nth-of-type(2) {
  grid-column: 25/-1;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-mediaalignment="true"]
  > div#two-portrait-info-two {
  grid-column: 25/-1;
  grid-row: 2;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"] > figure > * {
  width: 100%;
  aspect-ratio: 332/400;
  border-radius: 12px;
  object-fit: cover;
}

section[data-medianumber="Two"][data-medialayout="Two Portraits"][data-line="true"] {
  border-top: 1px solid rgba(var(--white-rgb), 0.2);
  padding-top: calc(var(--Pg) / 2);
}

/* Portrait & Landscape */

/* Order: Landscape | Portrait */
section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"][data-type="mediablock"]
  > figure:nth-child(1) {
  grid-column: 1/17;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"]
  > figure:nth-child(1)
  > * {
  width: 100%;
  border-radius: 12px;
  object-fit: cover;
  aspect-ratio: 680/508;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"][data-type="mediablock"]
  > figure:nth-child(2) {
  grid-column: 21/-1;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"]
  > figure:nth-child(2)
  > * {
  width: 100%;
  border-radius: 12px;
  object-fit: cover;
  aspect-ratio: 506/700;
}

/* Order: Portrait | Landscape */
section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="mediablock"]
  > figure:nth-child(1) {
  grid-column: 1/13;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="mediablock"]
  > figure:nth-child(1)
  > * {
  width: 100%;
  border-radius: 12px;
  object-fit: cover;
  aspect-ratio: 506/700;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="mediablock"]
  > figure:nth-child(2) {
  grid-column: 17/-1;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="mediablock"]
  > figure:nth-child(2)
  > * {
  width: 100%;
  border-radius: 12px;
  object-fit: cover;
  aspect-ratio: 680/508;
}

/* Project Cards */

/* Animation */
section[data-type="project-cardblock"] > a > figure {
  overflow: hidden;
  border-radius: 12px;
}

/* Image Zoom */
section[data-type="project-cardblock"] > a > figure > * {
  transition: transform 0.3s ease;
}

section[data-type="project-cardblock"] > a:hover > figure > * {
  transform: scale(1.1);
}

/* Details Appear */
.project-details {
  display: flex;
  justify-content: space-between;
  gap: 8px;
}

.project-details > ul.pills {
  flex-wrap: nowrap;
}

section[data-type="project-cardblock"] > a .details {
  opacity: 0;
  transition: opacity 0.3s ease;
}

section[data-type="project-cardblock"] > a:hover .details {
  opacity: 1;
}

/* Project Card: One Image */

section[data-medianumber="One"][data-type="project-cardblock"]
  > a
  > figure
  > * {
  width: 100%;
  aspect-ratio: 1390/720;
  object-fit: cover;
}

section[data-medianumber="One"][data-type="project-cardblock"]
  > a:nth-child(1) {
  grid-column: 1/-1;
  grid-row: 1;
}

/* Project Card: Two Images */
/* Order: Portrait | Landscape */
section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="project-cardblock"]
  > a:nth-child(1) {
  grid-column: 1/13;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="project-cardblock"]
  > a:nth-child(1)
  > figure
  > * {
  width: 100%;
  aspect-ratio: 506/700;
  object-fit: cover;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="project-cardblock"]
  > a:nth-child(2) {
  grid-column: 17/-1;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="false"][data-type="project-cardblock"]
  > a:nth-child(2)
  > figure
  > * {
  width: 100%;
  aspect-ratio: 680/508;
  object-fit: cover;
}

/* Order: Landscape | Portrait */

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"][data-type="project-cardblock"]
  > a:nth-child(1) {
  grid-column: 1/17;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"][data-type="project-cardblock"]
  > a:nth-child(1)
  > figure
  > * {
  width: 100%;
  aspect-ratio: 680/508;
  object-fit: cover;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"][data-type="project-cardblock"]
  > a:nth-child(2) {
  grid-column: 21/-1;
  grid-row: 1;
}

section[data-medianumber="Two"][data-medialayout="Portrait & Landscape"][data-mediaOrder="true"][data-type="project-cardblock"]
  > a:nth-child(2)
  > figure
  > * {
  width: 100%;
  aspect-ratio: 506/700;
  object-fit: cover;
}

/* Work Page - Project Cards */

section[data-type="work-project-cardblock"] > section:nth-child(4n + 1) {
  grid-column: 1/13;
}

section[data-type="work-project-cardblock"]
  > section:nth-child(4n + 1)
  figure
  > * {
  width: 100%;
  aspect-ratio: 506/700;
  object-fit: cover;
}

section[data-type="work-project-cardblock"] > section:nth-child(4n + 2) {
  grid-column: 17/-1;
}

section[data-type="work-project-cardblock"]
  > section:nth-child(4n + 2)
  figure
  > * {
  width: 100%;
  aspect-ratio: 680/508;
  object-fit: cover;
}

section[data-type="work-project-cardblock"] > section:nth-child(4n + 3) {
  grid-column: 1/17;
}

section[data-type="work-project-cardblock"]
  > section:nth-child(4n + 3)
  figure
  > * {
  width: 100%;
  aspect-ratio: 680/508;
  object-fit: cover;
}

section[data-type="work-project-cardblock"] > section:nth-child(4n + 4) {
  grid-column: 21/-1;
}

section[data-type="work-project-cardblock"]
  > section:nth-child(4n + 4)
  figure
  > * {
  width: 100%;
  aspect-ratio: 506/700;
  object-fit: cover;
}

/* Client Showcase Block */

section[data-type="client-showcaseblock"] {
  overflow: hidden;
  white-space: nowrap;
}

body[data-template="home"] section[data-type="client-showcaseblock"] {
  margin-top: var(--Pxxl);
  margin-bottom: var(--Pxxl);
}

body:not([data-template="home"]) section[data-type="client-showcaseblock"] {
  margin-top: calc(var(--Pg) * 3);
  margin-bottom: calc(var(--Pg) * 3);
}

section[data-type="client-showcaseblock"] > div {
  display: inline-flex;
  min-width: 100vw;
  animation: 40s slide infinite linear;
  white-space: nowrap;
  justify-content: space-evenly;
  align-items: center;
  gap: 80px;
  padding-right: 80px;
}

section[data-type="client-showcaseblock"] > div > figure {
  display: inline-block;
}

section[data-type="client-showcaseblock"] > div > figure > img,
section[data-type="client-showcaseblock"] > div > figure > svg {
  width: 100px;
  height: auto;
  display: block;
}

section[data-type="client-showcaseblock"] > div > figure > svg > path {
  fill: var(--fg);
  stroke: var(--fg);
}

/* Padding */

/* Padding Base */

/* 8px  */
.pyxs {
  padding-top: calc(var(--Pg) / 4);
  padding-bottom: calc(var(--Pg) / 4);
}

.pxxs {
  padding-left: calc(var(--Pg) / 4);
  padding-right: calc(var(--Pg) / 4);
}

/* 32px */
.px {
  padding-left: var(--Pg);
  padding-right: var(--Pg);
}

.py {
  padding-top: var(--Pg);
  padding-bottom: var(--Pg);
}

.pr {
  padding-right: var(--Pg);
}

.pl {
  padding-left: var(--Pg);
}

.pt {
  padding-top: var(--Pg);
}

.pb {
  padding-bottom: var(--Pg);
}

/* 16px */

.pxs {
  padding-left: calc(var(--Pg) / 2);
  padding-right: calc(var(--Pg) / 2);
}

.pys {
  padding-top: calc(var(--Pg) / 2);
  padding-bottom: calc(var(--Pg) / 2);
}

.prs {
  padding-right: calc(var(--Pg) / 2);
}

.pls {
  padding-left: calc(var(--Pg) / 2);
}

.pts {
  padding-top: calc(var(--Pg) / 2);
}

.pbs {
  padding-bottom: calc(var(--Pg) / 2);
}

/* 96px */

.pxl {
  padding-left: calc(var(--Pg) * 3);
  padding-right: calc(var(--Pg) * 3);
}

.pyl {
  padding-top: calc(var(--Pg) * 3);
  padding-bottom: calc(var(--Pg) * 3);
}

.prl {
  padding-right: calc(var(--Pg) * 3);
}

.pll {
  padding-left: calc(var(--Pg) * 3);
}

.ptl {
  padding-top: calc(var(--Pg) * 3);
}

.pbl {
  padding-bottom: calc(var(--Pg) * 3);
}

/* 196px */
.pxxl {
  padding-left: var(--Pxl);
  padding-right: var(--Pxl);
}

.pyxl {
  padding-top: var(--Pxl);
  padding-bottom: var(--Pxl);
}

.prxl {
  padding-right: var(--Pxl);
}

.plxl {
  padding-left: var(--Pxl);
}

.ptxl {
  padding-top: var(--Pxl);
}

.pbxl {
  padding-bottom: var(--Pxl);
}

/* 256px */
.pxxxl {
  padding-left: var(--Pxxl);
  padding-right: var(--Pxxl);
}

.pyxxl {
  padding-top: var(--Pxxl);
  padding-bottom: var(--Pxxl);
}

.prxxl {
  padding-right: var(--Pxxl);
}

.plxxl {
  padding-left: var(--Pxxl);
}

.ptxxl {
  padding-top: var(--Pxxl);
}

.pbxxl {
  padding-bottom: var(--Pxxl);
}

/* Margin */

/* Margin Base */

/* 8px  */
.myxs {
  margin-top: calc(var(--Pg) / 4);
  margin-bottom: calc(var(--Pg) / 4);
}

.mxxs {
  margin-left: calc(var(--Pg) / 4);
  margin-right: calc(var(--Pg) / 4);
}

/* 32px */
.mx {
  margin-left: var(--Pg);
  margin-right: var(--Pg);
}

.my {
  margin-top: var(--Pg);
  margin-bottom: var(--Pg);
}

.mr {
  margin-right: var(--Pg);
}

.ml {
  margin-left: var(--Pg);
}

.mt {
  margin-top: var(--Pg);
}

.mb {
  margin-bottom: var(--Pg);
}

/* 16px */

.mxs {
  margin-left: calc(var(--Pg) / 2);
  margin-right: calc(var(--Pg) / 2);
}

.mys {
  margin-top: calc(var(--Pg) / 2);
  margin-bottom: calc(var(--Pg) / 2);
}

.mrs {
  margin-right: calc(var(--Pg) / 2);
}

.mls {
  margin-left: calc(var(--Pg) / 2);
}

.mts {
  margin-top: calc(var(--Pg) / 2);
}

.mbs {
  margin-bottom: calc(var(--Pg) / 2);
}

/* 96px */

.mxl {
  margin-left: calc(var(--Pg) * 3);
  margin-right: calc(var(--Pg) * 3);
}

.myl {
  margin-top: calc(var(--Pg) * 3);
  margin-bottom: calc(var(--Pg) * 3);
}

.mrl {
  margin-right: calc(var(--Pg) * 3);
}

.mll {
  margin-left: calc(var(--Pg) * 3);
}

.mtl {
  margin-top: calc(var(--Pg) * 3);
}

.mbl {
  margin-bottom: calc(var(--Pg) * 3);
}

.mbl2 {
  margin-bottom: calc(var(--Pg) * 2);
}

/* 196px */
.mxxl {
  margin-left: var(--Pxl);
  margin-right: var(--Pxl);
}

.myxl {
  margin-top: var(--Pxl);
  margin-bottom: var(--Pxl);
}

.mrxl {
  margin-right: var(--Pxl);
}

.mlxl {
  margin-left: var(--Pxl);
}

.mtxl {
  margin-top: var(--Pxl);
}

.mbxl {
  margin-bottom: var(--Pxl);
}

/* 256px */
.mxxxl {
  margin-left: var(--Pxxl);
  margin-right: var(--Pxxl);
}

.myxxl {
  margin-top: var(--Pxxl);
  margin-bottom: var(--Pxxl);
}

.mrxxl {
  margin-right: var(--Pxxl);
}

.mlxxl {
  margin-left: var(--Pxxl);
}

.mtxxl {
  margin-top: var(--Pxxl);
}

.mbxxl {
  margin-bottom: var(--Pxxl);
}
